# Interface methods for submodule: CenteredTransformInitializer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: CenteredTransformInitializer
class CenteredTransformInitializerProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def SetFixedImage(self, _arg) -> None:
		""""""
		...

	def SetMovingImage(self, _arg) -> None:
		""""""
		...

	def InitializeTransform(self) -> None:
		""""""
		...

	def GeometryOn(self) -> None:
		""""""
		...

	def MomentsOn(self) -> None:
		""""""
		...

	def GetModifiableFixedCalculator(self):
		""""""
		...

	def GetFixedCalculator(self):
		""""""
		...

	def GetModifiableMovingCalculator(self):
		""""""
		...

	def GetMovingCalculator(self):
		""""""
		...

